 <?php

defined('_JEXEC') or die; // No direct access

class plgContentJceaddon extends JPlugin {

    public function __construct(& $subject, $config) {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

    public function onContentBeforeSave($context, $article, $isNew) {
      
        // Выполняем только при сохранении материала
        if ($context == 'com_content.article') { 
            
            // Массив значений для замены
            $valid = array("<p>  </p>", "<p>&nbsp;</p>", "<div>  </div>", "<div>&nbsp;</div>");
            
            // Обрабатываем вступительный и полный текст
            $article->introtext = str_replace($valid, '', $article->introtext);
            $article->fulltext = str_replace($valid, '', $article->fulltext);
        }
        return true;
    }

}